org.keycloak.proxy

## Class ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder

- java.lang.Object
- - org.keycloak.proxy.ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder

- Enclosing class:
    ProxyServerBuilder.ApplicationBuilder

      public class ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Set<String>` | `excludedMethods`
    `protected Set<String>` | `methods`
    `protected String` | `pattern`
    `protected Set<String>` | `rolesAllowed`
    `protected SecurityInfo.EmptyRoleSemantic` | `semantic`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder(String pattern)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProxyServerBuilder.ApplicationBuilder` | `add()`
    `ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder` | `authenticate()`
    `ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder` | `deny()`
    `ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder` | `excludedMethods(Set<String> excludedMethods)`
    `ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder` | `excludeMethod(String method)`
    `ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder` | `method(String method)`
    `ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder` | `methods(Set<String> methods)`
    `ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder` | `permit()`
    `ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder` | `role(String role)`
    `ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder` | `roles(Set<String> roles)`
    `ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder` | `roles(String... roles)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pattern

          protected String pattern

    - #### rolesAllowed

          protected Set<String> rolesAllowed

    - #### methods

          protected Set<String> methods

    - #### excludedMethods

          protected Set<String> excludedMethods

    - #### semantic

          protected SecurityInfo.EmptyRoleSemantic semantic

  - ### Constructor Detail

    - #### ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder

          public ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder(String pattern)

  - ### Method Detail

    - #### deny

          public ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder deny()

    - #### permit

          public ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder permit()

    - #### authenticate

          public ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder authenticate()

    - #### excludedMethods

          public ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder excludedMethods(Set<String> excludedMethods)

    - #### methods

          public ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder methods(Set<String> methods)

    - #### method

          public ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder method(String method)

    - #### excludeMethod

          public ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder excludeMethod(String method)

    - #### roles

          public ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder roles(String... roles)

    - #### roles

          public ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder roles(Set<String> roles)

    - #### role

          public ProxyServerBuilder.ApplicationBuilder.ConstraintBuilder role(String role)

    - #### add

          public ProxyServerBuilder.ApplicationBuilder add()

Copyright © 2015. All Rights Reserved.